GWT 2.7.0

## com.google.gwt.user.cellview.client
Interface HasDataPresenter.ElementIterator

All Superinterfaces:
  java.util.Iterator<Element>

Enclosing class:
  HasDataPresenter<T>

    static interface HasDataPresenter.ElementIterator

extends java.util.Iterator<Element>

An iterator over DOM elements.

Method Summary
`void` | `setSelected(boolean selected)` Set the selection state of the current element.

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### setSelected

    void setSelected(boolean selected)
                     throws java.lang.IllegalStateException

  Set the selection state of the current element.

  Parameters:
    `selected` - the selection state
  Throws:
    `java.lang.IllegalStateException` - if `Iterator.next()` has not been called

GWT 2.7.0